VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| SamplerReductionModeCreateInfoEXT (SamplerReductionModeEXT reductionMode_=SamplerReductionModeEXT::eWeightedAverage)
| SamplerReductionModeCreateInfoEXT (VkSamplerReductionModeCreateInfoEXT const &rhs)
SamplerReductionModeCreateInfoEXT & | operator= (VkSamplerReductionModeCreateInfoEXT const &rhs)
SamplerReductionModeCreateInfoEXT & | setPNext (const void *pNext_)
SamplerReductionModeCreateInfoEXT & | setReductionMode (SamplerReductionModeEXT reductionMode_)
| operator VkSamplerReductionModeCreateInfoEXT const & () const
| operator VkSamplerReductionModeCreateInfoEXT & ()
bool | operator== (SamplerReductionModeCreateInfoEXT const &rhs) const
bool | operator!= (SamplerReductionModeCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
SamplerReductionModeEXT | reductionMode

## Private Attributes

StructureType | sType = StructureType::eSamplerReductionModeCreateInfoEXT

## Detailed Description

Definition at line 35393 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SamplerReductionModeCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::SamplerReductionModeCreateInfoEXT | ( | SamplerReductionModeEXT | reductionMode_ = `SamplerReductionModeEXT::eWeightedAverage` | ) |

inline

Definition at line 35395 of file vulkan.hpp.

: reductionMode( reductionMode_ )
{
}

## SamplerReductionModeCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::SamplerReductionModeCreateInfoEXT | ( | VkSamplerReductionModeCreateInfoEXT const & | rhs | ) |

inline

Definition at line 35400 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SamplerReductionModeCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkSamplerReductionModeCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::operator VkSamplerReductionModeCreateInfoEXT & | ( |  | ) |

inline

Definition at line 35427 of file vulkan.hpp.

{
return *reinterpret_cast<VkSamplerReductionModeCreateInfoEXT*>(this);
}

## operator VkSamplerReductionModeCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::operator VkSamplerReductionModeCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 35422 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSamplerReductionModeCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::operator!= | ( | SamplerReductionModeCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 35439 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SamplerReductionModeCreateInfoEXT& VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::operator= | ( | VkSamplerReductionModeCreateInfoEXT const & | rhs | ) |

inline

Definition at line 35405 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SamplerReductionModeCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::operator== | ( | SamplerReductionModeCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 35432 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( reductionMode == rhs.reductionMode );
}

References pNext, reductionMode, and sType.

Referenced by operator!=().

## setPNext()

SamplerReductionModeCreateInfoEXT& VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 35410 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setReductionMode()

SamplerReductionModeCreateInfoEXT& VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::setReductionMode | ( | SamplerReductionModeEXT | reductionMode_ | ) |

inline

Definition at line 35416 of file vulkan.hpp.

{
reductionMode = reductionMode_;
return *this;
}

References reductionMode.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::pNext = nullptr

Definition at line 35448 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## reductionMode

SamplerReductionModeEXT VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::reductionMode

Definition at line 35449 of file vulkan.hpp.

Referenced by operator==(), and setReductionMode().

## sType

StructureType VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::sType = StructureType::eSamplerReductionModeCreateInfoEXT

private

Definition at line 35445 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::operator==
bool operator==(SamplerReductionModeCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:35432
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:35448
VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::SamplerReductionModeCreateInfoEXT
SamplerReductionModeCreateInfoEXT(SamplerReductionModeEXT reductionMode_=SamplerReductionModeEXT::eWeightedAverage)
Definition: vulkan.hpp:35395
VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:35445
VULKAN_HPP_NAMESPACE::SamplerReductionModeCreateInfoEXT::reductionMode
SamplerReductionModeEXT reductionMode
Definition: vulkan.hpp:35449
VkSamplerReductionModeCreateInfoEXT
Definition: vulkan_core.h:7549